Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.soap.transport
Class EnvelopeEditorAdapter

    java.lang.Object
      |
      +--org.apache.soap.transport.EnvelopeEditorAdapter

All Implemented Interfaces:
  EnvelopeEditor

public class EnvelopeEditorAdapter
extends java.lang.Object
implements EnvelopeEditor

Constructor Summary
`EnvelopeEditorAdapter()`

Method Summary
`void` | `editIncoming(java.io.Reader in, java.io.Writer out)`
`void` | `editOutgoing(java.io.Reader in, java.io.Writer out)`
`protected void` | `passThrough(java.io.Reader in, java.io.Writer out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnvelopeEditorAdapter

    public EnvelopeEditorAdapter()

Method Detail

### editIncoming

    public void editIncoming(java.io.Reader in,
                             java.io.Writer out)
                      throws SOAPException

  Specified by:
    `editIncoming` in interface `EnvelopeEditor`
    `SOAPException`

### editOutgoing

    public void editOutgoing(java.io.Reader in,
                             java.io.Writer out)
                      throws SOAPException

  Specified by:
    `editOutgoing` in interface `EnvelopeEditor`
    `SOAPException`

### passThrough

    protected void passThrough(java.io.Reader in,
                               java.io.Writer out)
                        throws SOAPException

    `SOAPException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 The Apache Software Foundation. All rights reserved.